Get category navigation
curl --request GET \
--url https://scrapebadger.com/v1/asos/categories \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/asos/categories"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/asos/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/asos/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/asos/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/asos/categories")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/asos/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyASOS endpoints
Get category navigation
Get category navigation.
GET
/
v1
/
asos
/
categories
Get category navigation
curl --request GET \
--url https://scrapebadger.com/v1/asos/categories \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/asos/categories"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/asos/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/asos/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/asos/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/asos/categories")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/asos/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet category navigation.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all ASOS endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
default:"men"
Gender. Allowed values:
men, women.string
default:"uk"
Market.
string
Store.
string
Country.
string
Currency.
string
Language.
Response
{
"market": "uk",
"gender": "men",
"categories": [
{
"id": "7276d7f9-b810-4743-8c11-eccb260bbecd",
"alias": "MW",
"type": "link",
"channelExclusions": [],
"webLargePriority": 0,
"content": {
"title": "Men",
"subTitle": null,
"webLargeImageUrl": null,
"mobileImageUrl": null
},
"display": null,
"style": {
"webLargeStyleType": "dark",
"mobileStyleType": "dark"
},
"link": {
"linkType": "internal",
"brandSectionAlias": null,
"categoryId": null,
"webUrl": "https://www.asos.com/men/",
"appUrl": null
},
"children": [
{
"id": "ae28af2b-e3ca-4f2f-a559-9a976a0812d4",
"alias": null,
"type": "container",
"channelExclusions": [],
"webLargePriority": 0,
"content": {
"title": "Home",
"subTitle": null,
"webLargeImageUrl": null,
"mobileImageUrl": null
},
"display": {
"webLargeTemplateId": 0,
"webLargeTemplateName": "",
"webLargeColumnSpan": 1,
"mobileTemplateId": 7,
"mobileTemplateName": "homepageLinks",
"mobileDisplayLayout": "list"
},
"style": {
"webLargeStyleType": "dark",
"mobileStyleType": "noTitle"
},
"link": null,
"children": [
{
"id": "47989db5-0597-43e6-9bee-1348c35590b0",
"alias": null,
"type": "link",
"channelExclusions": [],
"webLargePriority": 0,
"content": {},
"display": null,
"style": {},
"link": {},
"children": [],
"loyaltyBenefitType": null,
"targeting": {}
}
],
"loyaltyBenefitType": null,
"targeting": {
"segmentsIncluded": [],
"segmentsExcluded": [],
"loyaltyTiersIncluded": [],
"loyaltyTiersExcluded": [],
"loyaltyConsent": null,
"premierStatus": null,
"authState": null
}
}
],
"loyaltyBenefitType": null,
"targeting": {
"segmentsIncluded": [],
"segmentsExcluded": [],
"loyaltyTiersIncluded": [],
"loyaltyTiersExcluded": [],
"loyaltyConsent": null,
"premierStatus": null,
"authState": null
}
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/asos/categories' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'gender=men'

